%define only_gpl_plugins 1

Summary: Nessus vulnerability scanner plugins
Name: nessus-plugins
Version: 2.2.10
Release: 1%{?dist}
Group: System Environment/Libraries
URL: http://www.nessus.org/
# Sources used to be on ftp.nessus.org but are now behind a CGI script
# See the licenses/* files for license details
%if %{only_gpl_plugins}
Source: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-plugins-GPL-%{version}.tar.gz
License: GPLv2 and BSD
%else
Source: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-plugins-%{version}.tar.gz
License: Tenable License and GPLv2 and BSD
%endif
Patch0: nessus-plugins-2.2.10-Makefile.patch
Patch1: nessus-plugins-GPL-2.2.10-no-nbin.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: nessus-core-devel
BuildRequires: nessus-libraries-devel
# These are already required by nessus-libraries-devel, but the configure
# script checks for them here, so list them again
BuildRequires: openssl-devel
BuildRequires: libpcap-devel

%description
Nessus vulnerability scanner plugins.


%package build
Summary: Build tool and files to create Nessus vulnerability scanner plugins in C
Group: Development/Tools

%description build
Build tool and files to create Nessus vulnerability scanner plugins in C.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .Makefile
%if %{only_gpl_plugins}
%patch1 -p1 -b .nonbin
%endif


%build
%configure \
    --enable-install=$(id -un)
# Parallel build fails...
%{__make} #%{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc licenses/*
%{_sbindir}/nessus-update-plugins
%dir %{_libdir}/nessus/
%{_libdir}/nessus/plugins/
%{_mandir}/man8/nessus-update-plugins.8*

%files build
%defattr(-,root,root,-)
%doc docs/plugins_api.txt
%{_bindir}/nessus-build
%dir %{_libdir}/nessus/
%{_libdir}/nessus/plugins_factory/
%{_mandir}/man1/nessus-build.1*


%changelog
* Fri Aug 24 2007 Matthias Saou <http://freshrpms.net/> 2.2.10-1
- Update to 2.2.10.
- Include patch for only the GPL plugins, they don't contain *.nbin.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 2.2.9-1
- Initial RPM release as a standalone package.

